this.name = "planetFall_launchFX";
this.author = "Svengali & Thargoid";
this.copyright = "CC-by";
this.description = "FX script";
this.version = "1.0";
"use strict";

this.effectSpawned = function()
	{
	this.firstFrame = true;
	this.getRid = 0;
	this.ovFCBID = addFrameCallback(this.repos.bind(this));
	}

this.effectRemoved = function()
	{ removeFrameCallback(this.ovFCBID); }
	
this.repos = function(delta)
	{
	if(!player.ship.isValid || this.getRid >= 3) 
		{ 
		this.visualEffect.remove();
		return;
		}
	
	if(this.firstFrame || !delta)
		{
		this.firstFrame = false;
		return;
		}
		
	this.tex = "planetFall_launchFX" + Math.floor(this.getRid)+".png";
	this.visualEffect.setMaterials({"planetFall_launchFX0.png": {diffuse_map: this.tex }});
	this.visualEffect.position = player.ship.position.add(player.ship.vectorForward.multiply(150));
	this.visualEffect.orientation = player.ship.orientation;
	this.getRid += (2 * delta); // to get the effect finished before true launch into realspace
	return;
	}
